db-derby-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Johan Hoogenboezem" <hooge...@worldonline.co.za>
Subject XA, Derby, Unversal JDBC driver, Websphere 5.1 - Unsupported DDM object
Date Thu, 04 Aug 2005 09:39:10 GMT
Hi,
I'm busy working on a project - part of which involves synchronizing certain
data updates across updates. Replication is not an option here, so please
bear with me.

As an experiment, I set up two DB2 databases and two data sources (Using
com.ibm.db2.jcc.DB2XADataSource), which I used in a stateless session bean.
In the context of the bean transaction, I then inserted the same record in
identical tables via the two datasources. A second experiment involved
updating one table, causing an error while updating the second table in the
second database, and then checking whether the rollback of the first update
took place. I implemented the bean using WSAD in WebSphere 5.1. I invoked
the bean's test method from an application client environment.
All of this works fine when I use DB2 (8.x for Linux).

However, it fails when I try Derby.

I've downloaded the latest Universal JDBC driver from IBM as directed by
documentation found on the Derby incubator website, downloaded and installed
Derby, created two databases, started the Derby network server, setup the
data sources (com.ibm.db2.jcc.DB2XADataSource), etc.
I can access the databases via DBEdit in Eclipse, and run queries against
them. I've even got Hibernate working and generating ddl for me.

I attach my part of my code, the derby log file, and the WepSphere console
output.

I'd appreciate any comment. I would like to be able to use Derby for my
development and DB2 for production.

Here's the bean method:

========================code start
  public void test() {
    System.out.println("Hey, I'm being called!");
    DataSource ds1 = null;
    DataSource ds2 = null;
    Connection conn1 = null;
    Connection conn2 = null; 
    try {
      ds1 =
ServiceLocator.getInstance().getNamingService().lookupDataSource("java:comp/
env/SlaveAlias");
      conn1 = ds1.getConnection("db2admin", "tg1nhn");
      L.debug(""+conn1.getMetaData().getDatabaseMajorVersion());
      L.debug(""+conn1.getMetaData().getDatabaseMinorVersion());
      L.debug(""+conn1.getMetaData().getDatabaseProductVersion());
      L.debug(""+conn1.getMetaData().getDatabaseProductName());
      L.debug(conn1.getMetaData().getURL());
      ds2 =
ServiceLocator.getInstance().getNamingService().lookupDataSource("java:comp/
env/MasterAlias");
      conn2 = ds2.getConnection("db2admin", "tg1nhn");
      L.debug(conn2.getMetaData().getURL());
      System.out.println(conn1.getClass().getName());
      dumpSupers(conn1.getClass());
      PreparedStatement s1 = conn1.prepareStatement("insert into
play(id,code,description) values(?,?,?)");
      s1.setInt(1, 1);
      s1.setString(2, "code");
      s1.setString(3, "description");
      s1.execute(); // THIS IS THE LINE THAT FAILS
      System.out.println(conn2.getClass().getName());
      PreparedStatement s2 = conn2.prepareStatement("insert into
play(id,code,description) values(?,?,?)");
      s2.setInt(1, 1);
      s2.setString(2, "code");
      s2.setString(3, "description");
      s2.execute();
    }
    catch (Exception e) {
      L.debug("Exception", e);
      this.getSessionContext().setRollbackOnly();
      throw new RuntimeException(e);
    }
    finally {
      if (conn1 != null)
        try {
          conn1.close();
        }
        catch (SQLException e1) {
          // TODO Auto-generated catch block
          e1.printStackTrace();
        }
      if (conn2 != null)
        try {
          conn2.close();
        }
        catch (SQLException e2) {
          // TODO Auto-generated catch block
          e2.printStackTrace();
        }
    }
  }
========================code end

========================derby log start
2005-08-04 07:30:43.263 GMT:
 Booting Derby version The Apache Software Foundation - Apache Derby -
10.0.2.1 - (106978): instance e0b94027-0105-803f-3e83-000000167688
on database directory C:\java_rt\incubating-derby-10.0.2.1-bin\bin\slave 

Database Class Loader started - derby.database.classpath=''
Connection number: 6.
Connection number: 7.
Connection number: 8.
Connection number: 9.
Connection number: 10.
Connection number: 11.
Connection number: 12.
Connection number: 13.
Connection number: 14.
Connection number: 15.
Connection number: 16.
Connection number: 17.
Connection number: 18.
Connection number: 19.
2005-08-04 07:56:07.414 GMT Thread[DRDAConnThread_6,5,main] (DATABASE =
slave), (DRDAID = NF000001.G636-867504755080074888{16}), Execution failed
because of a Distributed Protocol Error:  DRDA_Proto_CMDNSPRM; CODPNT arg  =
1055; Error Code Value = 0
Execution failed because of a Distributed Protocol Error:
DRDA_Proto_CMDNSPRM; CODPNT arg  = 1055; Error Code Value = 0
2005-08-04 07:56:07.414 GMT Thread[DRDAConnThread_6,5,main] (DATABASE =
slave), (DRDAID = NF000001.G636-867504755080074888{16}), null
null
org.apache.derby.impl.drda.DRDAProtocolException
	at
org.apache.derby.impl.drda.DRDAConnThread.codePointNotSupported(DRDAConnThre
ad.java)
	at
org.apache.derby.impl.drda.DRDAConnThread.processCommands(DRDAConnThread.jav
a)
	at
org.apache.derby.impl.drda.DRDAConnThread.run(DRDAConnThread.java)
2005-08-04 07:56:07.915 GMT Thread[DRDAConnThread_7,5,main] (DATABASE =
slave), (DRDAID = NF000001.G637-867223280103363992{17}), Execution failed
because of a Distributed Protocol Error:  DRDA_Proto_CMDNSPRM; CODPNT arg  =
1055; Error Code Value = 0
Execution failed because of a Distributed Protocol Error:
DRDA_Proto_CMDNSPRM; CODPNT arg  = 1055; Error Code Value = 0
2005-08-04 07:56:07.915 GMT Thread[DRDAConnThread_7,5,main] (DATABASE =
slave), (DRDAID = NF000001.G637-867223280103363992{17}), null
null
org.apache.derby.impl.drda.DRDAProtocolException
	at
org.apache.derby.impl.drda.DRDAConnThread.codePointNotSupported(DRDAConnThre
ad.java)
	at
org.apache.derby.impl.drda.DRDAConnThread.processCommands(DRDAConnThread.jav
a)
	at
org.apache.derby.impl.drda.DRDAConnThread.run(DRDAConnThread.java)
========================derby log end

========================WebSphere log start
[8/4/05 10:49:37:641 CAT] 3d026ea3 WsServer      A WSVR0001I: Server server1
open for e-business
Hey, I'm being called!
[8/4/05 10:50:06:352 CAT] 76dd2ea1 WSRdbDataSour I DSRA8203I: Database
product name : Apache Derby
[8/4/05 10:50:06:412 CAT] 76dd2ea1 WSRdbDataSour I DSRA8204I: Database
product version : 10.0.2.1
[8/4/05 10:50:06:412 CAT] 76dd2ea1 WSRdbDataSour I DSRA8205I: JDBC driver
name  : IBM DB2 JDBC Universal Driver Architecture
[8/4/05 10:50:06:412 CAT] 76dd2ea1 WSRdbDataSour I DSRA8206I: JDBC driver
version  : 2.4.17
[8/4/05 10:50:06:633 CAT] 76dd2ea1 SystemOut     O 04Aug 10:50:06 DEBUG
[TestBean.test()]: 0
04Aug 10:50:06 DEBUG [TestBean.test()]: 0
04Aug 10:50:06 DEBUG [TestBean.test()]: 10.0.2.1
04Aug 10:50:06 DEBUG [TestBean.test()]: Apache Derby
04Aug 10:50:06 DEBUG [TestBean.test()]:
jdbc:derby:net://localhost:1527/slave

[8/4/05 10:50:06:643 CAT] 76dd2ea1 WSRdbDataSour I DSRA8203I: Database
product name : Apache Derby

[8/4/05 10:50:06:643 CAT] 76dd2ea1 WSRdbDataSour I DSRA8204I: Database
product version : 10.0.2.1

[8/4/05 10:50:06:643 CAT] 76dd2ea1 WSRdbDataSour I DSRA8205I: JDBC driver
name  : IBM DB2 JDBC Universal Driver Architecture

[8/4/05 10:50:06:643 CAT] 76dd2ea1 WSRdbDataSour I DSRA8206I: JDBC driver
version  : 2.4.17
04Aug 10:50:06 DEBUG [TestBean.test()]:
jdbc:derby:net://localhost:1527/statics
com.ibm.ws.rsadapter.jdbc.WSJccConnection
[8/4/05 10:50:06:663 CAT] 76dd2ea1 SystemOut     O 04Aug 10:50:06 DEBUG
[TestBean.dumpSupers()]: super class of
com.ibm.ws.rsadapter.jdbc.WSJccConnection is
com.ibm.ws.rsadapter.jdbc.WSDB2WrapperConnection
04Aug 10:50:06 DEBUG [TestBean.dumpSupers()]: super class of
com.ibm.ws.rsadapter.jdbc.WSDB2WrapperConnection is
com.ibm.ws.rsadapter.jdbc.WSJdbcConnection
04Aug 10:50:06 DEBUG [TestBean.dumpSupers()]: super class of
com.ibm.ws.rsadapter.jdbc.WSJdbcConnection is
com.ibm.ws.rsadapter.jdbc.WSJdbcObject

[8/4/05 10:50:06:873 CAT] 76dd2ea1 WSRdbManagedC W DSRA0080E: An exception
was received by the Data Store Adapter. See original exception message:
com.ibm.db2.jcc.c.SqlException: invalid operation: connection closed
	at com.ibm.db2.jcc.c.o.yb(o.java:3433)
	at com.ibm.db2.jcc.c.o.getCatalog(o.java:1575)
	at com.ibm.db2.jcc.c.wb.getCatalog(wb.java:220)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.getCatalog(WSRdbManagedC
onnectionImpl.java:620)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.introspectSelf(WSRdbMana
gedConnectionImpl.java:740)
	at com.ibm.ws.rsadapter.FFDCLogger.introspect(FFDCLogger.java:169)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcConnection.introspectSelf(WSJdbcConnection.j
ava:1190)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcObject.introspectSelf(WSJdbcObject.java:355)
	at
com.ibm.ws.ffdc.IntrospectionLevelMember.getNextMembers(IntrospectionLevelMe
mber.java:440)
	at
com.ibm.ws.ffdc.IntrospectionLevel.getNextLevel(IntrospectionLevel.java:181)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:67)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:51)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWrite(IncidentStreamImpl.jav
a:396)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWriteLine(IncidentStreamImpl
.java:632)
	at
com.ibm.ws.ffdc.DiagnosticEngine.dumpObjectAndStack(DiagnosticEngine.java:30
1)
	at
com.ibm.ws.ffdc.DiagnosticEngine.processIncident(DiagnosticEngine.java:147)
	at com.ibm.ws.ffdc.FFDCFilter.filterEngine(FFDCFilter.java:428)
	at com.ibm.ws.ffdc.FFDCFilter.processException(FFDCFilter.java:192)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcPreparedStatement.execute(WSJdbcPreparedStat
ement.java:394)
	at com.rmbprivatebank.statics.ejb.TestBean.test(TestBean.java:70)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:35)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)
.

[8/4/05 10:50:06:903 CAT] 76dd2ea1 WSRdbManagedC W DSRA0080E: An exception
was received by the Data Store Adapter. See original exception message:
com.ibm.db2.jcc.c.SqlException: invalid operation: connection closed
	at com.ibm.db2.jcc.c.o.yb(o.java:3433)
	at com.ibm.db2.jcc.c.o.isReadOnly(o.java:1516)
	at com.ibm.db2.jcc.c.wb.isReadOnly(wb.java:208)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.isReadOnly(WSRdbManagedC
onnectionImpl.java:907)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.introspectSelf(WSRdbMana
gedConnectionImpl.java:749)
	at com.ibm.ws.rsadapter.FFDCLogger.introspect(FFDCLogger.java:169)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcConnection.introspectSelf(WSJdbcConnection.j
ava:1190)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcObject.introspectSelf(WSJdbcObject.java:355)
	at
com.ibm.ws.ffdc.IntrospectionLevelMember.getNextMembers(IntrospectionLevelMe
mber.java:440)
	at
com.ibm.ws.ffdc.IntrospectionLevel.getNextLevel(IntrospectionLevel.java:181)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:67)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:51)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWrite(IncidentStreamImpl.jav
a:396)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWriteLine(IncidentStreamImpl
.java:632)
	at
com.ibm.ws.ffdc.DiagnosticEngine.dumpObjectAndStack(DiagnosticEngine.java:30
1)
	at
com.ibm.ws.ffdc.DiagnosticEngine.processIncident(DiagnosticEngine.java:147)
	at com.ibm.ws.ffdc.FFDCFilter.filterEngine(FFDCFilter.java:428)
	at com.ibm.ws.ffdc.FFDCFilter.processException(FFDCFilter.java:192)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcPreparedStatement.execute(WSJdbcPreparedStat
ement.java:394)
	at com.rmbprivatebank.statics.ejb.TestBean.test(TestBean.java:70)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:35)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)
.

[8/4/05 10:50:07:043 CAT] 76dd2ea1 WSRdbManagedC W DSRA0080E: An exception
was received by the Data Store Adapter. See original exception message:
com.ibm.db2.jcc.c.SqlException: invalid operation: connection closed
	at com.ibm.db2.jcc.c.o.yb(o.java:3433)
	at com.ibm.db2.jcc.c.o.getCatalog(o.java:1575)
	at com.ibm.db2.jcc.c.wb.getCatalog(wb.java:220)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.getCatalog(WSRdbManagedC
onnectionImpl.java:620)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.introspectSelf(WSRdbMana
gedConnectionImpl.java:740)
	at com.ibm.ws.rsadapter.FFDCLogger.introspect(FFDCLogger.java:169)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcConnection.introspectSelf(WSJdbcConnection.j
ava:1190)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcObject.introspectSelf(WSJdbcObject.java:355)
	at
com.ibm.ws.ffdc.IntrospectionLevelMember.getNextMembers(IntrospectionLevelMe
mber.java(Compiled Code))
	at
com.ibm.ws.ffdc.IntrospectionLevel.getNextLevel(IntrospectionLevel.java:181)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:67)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:51)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWrite(IncidentStreamImpl.jav
a:396)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWriteLine(IncidentStreamImpl
.java:632)
	at
com.ibm.ws.rsadapter.DiagnosticModuleForAdapter.ffdcDumpDefaultAdapter(Diagn
osticModuleForAdapter.java:122)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79
)
	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl
.java(Compiled Code))
	at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirective(DiagnosticModule.java:3
16)
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirectives(DiagnosticModule.java:
287)
	at
com.ibm.ws.ffdc.DiagnosticModule.dumpComponentData(DiagnosticModule.java:143
)
	at
com.ibm.ws.ffdc.DiagnosticEngine.processIncident(DiagnosticEngine.java:159)
	at com.ibm.ws.ffdc.FFDCFilter.filterEngine(FFDCFilter.java:428)
	at com.ibm.ws.ffdc.FFDCFilter.processException(FFDCFilter.java:192)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcPreparedStatement.execute(WSJdbcPreparedStat
ement.java:394)
	at com.rmbprivatebank.statics.ejb.TestBean.test(TestBean.java:70)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:35)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)
.

[8/4/05 10:50:07:053 CAT] 76dd2ea1 WSRdbManagedC W DSRA0080E: An exception
was received by the Data Store Adapter. See original exception message:
com.ibm.db2.jcc.c.SqlException: invalid operation: connection closed
	at com.ibm.db2.jcc.c.o.yb(o.java:3433)
	at com.ibm.db2.jcc.c.o.isReadOnly(o.java:1516)
	at com.ibm.db2.jcc.c.wb.isReadOnly(wb.java:208)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.isReadOnly(WSRdbManagedC
onnectionImpl.java:907)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.introspectSelf(WSRdbMana
gedConnectionImpl.java:749)
	at com.ibm.ws.rsadapter.FFDCLogger.introspect(FFDCLogger.java:169)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcConnection.introspectSelf(WSJdbcConnection.j
ava:1190)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcObject.introspectSelf(WSJdbcObject.java:355)
	at
com.ibm.ws.ffdc.IntrospectionLevelMember.getNextMembers(IntrospectionLevelMe
mber.java(Compiled Code))
	at
com.ibm.ws.ffdc.IntrospectionLevel.getNextLevel(IntrospectionLevel.java:181)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:67)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:51)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWrite(IncidentStreamImpl.jav
a:396)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWriteLine(IncidentStreamImpl
.java:632)
	at
com.ibm.ws.rsadapter.DiagnosticModuleForAdapter.ffdcDumpDefaultAdapter(Diagn
osticModuleForAdapter.java:122)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79
)
	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl
.java(Compiled Code))
	at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirective(DiagnosticModule.java:3
16)
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirectives(DiagnosticModule.java:
287)
	at
com.ibm.ws.ffdc.DiagnosticModule.dumpComponentData(DiagnosticModule.java:143
)
	at
com.ibm.ws.ffdc.DiagnosticEngine.processIncident(DiagnosticEngine.java:159)
	at com.ibm.ws.ffdc.FFDCFilter.filterEngine(FFDCFilter.java:428)
	at com.ibm.ws.ffdc.FFDCFilter.processException(FFDCFilter.java:192)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcPreparedStatement.execute(WSJdbcPreparedStat
ement.java:394)
	at com.rmbprivatebank.statics.ejb.TestBean.test(TestBean.java:70)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:35)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)
.
04Aug 10:50:07 DEBUG [TestBean.test()]: Exception
com.ibm.db2.jcc.c.DisconnectException: The DDM object is not supported.
Unsupported DDM object code point: 0x1250
	at com.ibm.db2.jcc.a.cb.B(cb.java:4539)
	at com.ibm.db2.jcc.a.cb.A(cb.java:3475)
	at com.ibm.db2.jcc.a.gb.s(gb.java:507)
	at com.ibm.db2.jcc.a.gb.b(gb.java:98)
	at com.ibm.db2.jcc.a.c.qb(c.java:277)
	at com.ibm.db2.jcc.c.i.j(i.java:349)
	at com.ibm.db2.jcc.a.a.j(a.java:527)
	at com.ibm.db2.jcc.c.i.c(i.java:233)
	at com.ibm.db2.jcc.c.ad.d(ad.java:2182)
	at com.ibm.db2.jcc.c.ad.W(ad.java:1276)
	at com.ibm.db2.jcc.c.ad.execute(ad.java:1260)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcPreparedStatement.execute(WSJdbcPreparedStat
ement.java:386)
	at com.rmbprivatebank.statics.ejb.TestBean.test(TestBean.java:70)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:35)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)

[8/4/05 10:50:07:334 CAT] 76dd2ea1 ExceptionUtil E CNTR0020E:
Non-application exception occurred while processing method "test" on bean
"BeanId(rmbpb_statics_app#rmbpb_statics_ejb.jar#Test, null)". Exception
data: java.lang.RuntimeException: com.ibm.db2.jcc.c.DisconnectException: The
DDM object is not supported.  Unsupported DDM object code point: 0x1250
	at com.rmbprivatebank.statics.ejb.TestBean.test(TestBean.java:86)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:35)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)
Caused by: com.ibm.db2.jcc.c.DisconnectException: The DDM object is not
supported.  Unsupported DDM object code point: 0x1250
	at com.ibm.db2.jcc.a.cb.B(cb.java:4539)
	at com.ibm.db2.jcc.a.cb.A(cb.java:3475)
	at com.ibm.db2.jcc.a.gb.s(gb.java:507)
	at com.ibm.db2.jcc.a.gb.b(gb.java:98)
	at com.ibm.db2.jcc.a.c.qb(c.java:277)
	at com.ibm.db2.jcc.c.i.j(i.java:349)
	at com.ibm.db2.jcc.a.a.j(a.java:527)
	at com.ibm.db2.jcc.c.i.c(i.java:233)
	at com.ibm.db2.jcc.c.ad.d(ad.java:2182)
	at com.ibm.db2.jcc.c.ad.W(ad.java:1276)
	at com.ibm.db2.jcc.c.ad.execute(ad.java:1260)
	at
com.ibm.ws.rsadapter.jdbc.WSJdbcPreparedStatement.execute(WSJdbcPreparedStat
ement.java:386)
	at com.rmbprivatebank.statics.ejb.TestBean.test(TestBean.java:70)
	... 11 more


[8/4/05 10:50:07:484 CAT] 76dd2ea1 WSRdbXaResour E DSRA0304E:  XAException
occurred. XAException contents and details are: The cause is               :
com.ibm.db2.jcc.c.SqlException: Connection is Closed..

[8/4/05 10:50:07:504 CAT] 76dd2ea1 WSRdbXaResour E DSRA0302E:  XAException
occurred.  Error code is: XAER_RMFAIL.  Exception is: XAER_RMFAIL :
Connection is Closed.

[8/4/05 10:50:07:614 CAT] 76dd2ea1 WSRdbManagedC W DSRA0080E: An exception
was received by the Data Store Adapter. See original exception message:
com.ibm.db2.jcc.c.SqlException: invalid operation: connection closed
	at com.ibm.db2.jcc.c.o.yb(o.java:3433)
	at com.ibm.db2.jcc.c.o.getCatalog(o.java:1575)
	at com.ibm.db2.jcc.c.wb.getCatalog(wb.java:220)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.getCatalog(WSRdbManagedC
onnectionImpl.java:620)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.introspectSelf(WSRdbMana
gedConnectionImpl.java:740)
	at
com.ibm.ws.rsadapter.spi.WSRdbXaResourceImpl.introspectSelf(WSRdbXaResourceI
mpl.java:522)
	at
com.ibm.ws.ffdc.IntrospectionLevelMember.getNextMembers(IntrospectionLevelMe
mber.java(Compiled Code))
	at
com.ibm.ws.ffdc.IntrospectionLevel.getNextLevel(IntrospectionLevel.java:181)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:75)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:47)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWrite(IncidentStreamImpl.jav
a:371)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWriteLine(IncidentStreamImpl
.java:610)
	at
com.ibm.ejs.j2c.DiagnosticModuleForJ2C.ffdcDumpDefaultJ2C(DiagnosticModuleFo
rJ2C.java:100)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79
)
	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl
.java(Compiled Code))
	at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirective(DiagnosticModule.java:3
16)
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirectives(DiagnosticModule.java:
287)
	at
com.ibm.ws.ffdc.DiagnosticModule.dumpComponentData(DiagnosticModule.java:143
)
	at
com.ibm.ws.ffdc.DiagnosticEngine.processIncident(DiagnosticEngine.java:159)
	at com.ibm.ws.ffdc.FFDCFilter.filterEngine(FFDCFilter.java:428)
	at com.ibm.ws.ffdc.FFDCFilter.processException(FFDCFilter.java:192)
	at
com.ibm.ejs.j2c.XATransactionWrapper.end(XATransactionWrapper.java:527)
	at
com.ibm.ws.Transaction.JTA.JTAResourceBase.end(JTAResourceBase.java:253)
	at
com.ibm.ws.Transaction.JTA.RegisteredResources.distributeEnd(RegisteredResou
rces.java:628)
	at
com.ibm.ws.Transaction.JTA.TransactionImpl.internalRollback(TransactionImpl.
java:1459)
	at
com.ibm.ws.Transaction.JTA.TransactionImpl.rollback(TransactionImpl.java:112
9)
	at
com.ibm.ws.Transaction.JTA.TranManagerImpl.rollback(TranManagerImpl.java:177
)
	at
com.ibm.ws.Transaction.JTA.TranManagerSet.rollback(TranManagerSet.java:228)
	at com.ibm.ejs.csi.TranStrategy.rollback(TranStrategy.java:908)
	at
com.ibm.ejs.csi.TranStrategy.handleException(TranStrategy.java:220)
	at
com.ibm.ejs.csi.TransactionControlImpl.postInvoke(TransactionControlImpl.jav
a:567)
	at
com.ibm.ejs.container.EJSContainer.postInvoke(EJSContainer.java:3038)
	at
com.ibm.ejs.container.EJSContainer.postInvoke(EJSContainer.java:2916)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:47)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)
.

[8/4/05 10:50:07:644 CAT] 76dd2ea1 WSRdbManagedC W DSRA0080E: An exception
was received by the Data Store Adapter. See original exception message:
com.ibm.db2.jcc.c.SqlException: invalid operation: connection closed
	at com.ibm.db2.jcc.c.o.yb(o.java:3433)
	at com.ibm.db2.jcc.c.o.isReadOnly(o.java:1516)
	at com.ibm.db2.jcc.c.wb.isReadOnly(wb.java:208)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.isReadOnly(WSRdbManagedC
onnectionImpl.java:907)
	at
com.ibm.ws.rsadapter.spi.WSRdbManagedConnectionImpl.introspectSelf(WSRdbMana
gedConnectionImpl.java:749)
	at
com.ibm.ws.rsadapter.spi.WSRdbXaResourceImpl.introspectSelf(WSRdbXaResourceI
mpl.java:522)
	at
com.ibm.ws.ffdc.IntrospectionLevelMember.getNextMembers(IntrospectionLevelMe
mber.java(Compiled Code))
	at
com.ibm.ws.ffdc.IntrospectionLevel.getNextLevel(IntrospectionLevel.java:181)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:75)
	at
com.ibm.ws.ffdc.ObjectIntrospectorImpl.dumpContents(ObjectIntrospectorImpl.j
ava:47)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWrite(IncidentStreamImpl.jav
a:371)
	at
com.ibm.ws.ffdc.IncidentStreamImpl.introspectAndWriteLine(IncidentStreamImpl
.java:610)
	at
com.ibm.ejs.j2c.DiagnosticModuleForJ2C.ffdcDumpDefaultJ2C(DiagnosticModuleFo
rJ2C.java:100)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79
)
	at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl
.java(Compiled Code))
	at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirective(DiagnosticModule.java:3
16)
	at
com.ibm.ws.ffdc.DiagnosticModule.getDataForDirectives(DiagnosticModule.java:
287)
	at
com.ibm.ws.ffdc.DiagnosticModule.dumpComponentData(DiagnosticModule.java:143
)
	at
com.ibm.ws.ffdc.DiagnosticEngine.processIncident(DiagnosticEngine.java:159)
	at com.ibm.ws.ffdc.FFDCFilter.filterEngine(FFDCFilter.java:428)
	at com.ibm.ws.ffdc.FFDCFilter.processException(FFDCFilter.java:192)
	at
com.ibm.ejs.j2c.XATransactionWrapper.end(XATransactionWrapper.java:527)
	at
com.ibm.ws.Transaction.JTA.JTAResourceBase.end(JTAResourceBase.java:253)
	at
com.ibm.ws.Transaction.JTA.RegisteredResources.distributeEnd(RegisteredResou
rces.java:628)
	at
com.ibm.ws.Transaction.JTA.TransactionImpl.internalRollback(TransactionImpl.
java:1459)
	at
com.ibm.ws.Transaction.JTA.TransactionImpl.rollback(TransactionImpl.java:112
9)
	at
com.ibm.ws.Transaction.JTA.TranManagerImpl.rollback(TranManagerImpl.java:177
)
	at
com.ibm.ws.Transaction.JTA.TranManagerSet.rollback(TranManagerSet.java:228)
	at com.ibm.ejs.csi.TranStrategy.rollback(TranStrategy.java:908)
	at
com.ibm.ejs.csi.TranStrategy.handleException(TranStrategy.java:220)
	at
com.ibm.ejs.csi.TransactionControlImpl.postInvoke(TransactionControlImpl.jav
a:567)
	at
com.ibm.ejs.container.EJSContainer.postInvoke(EJSContainer.java:3038)
	at
com.ibm.ejs.container.EJSContainer.postInvoke(EJSContainer.java:2916)
	at
com.rmbprivatebank.statics.ejb.EJSRemoteStatelessTest_e65e3bd1.test(EJSRemot
eStatelessTest_e65e3bd1.java:47)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie.test_(_E
JSRemoteStatelessTest_e65e3bd1_Tie.java:150)
	at
com.rmbprivatebank.statics.ejb._EJSRemoteStatelessTest_e65e3bd1_Tie._invoke(
_EJSRemoteStatelessTest_e65e3bd1_Tie.java:76)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatchInvokeHandler(ServerDelegate.java:
602)
	at
com.ibm.CORBA.iiop.ServerDelegate.dispatch(ServerDelegate.java:455)
	at com.ibm.rmi.iiop.ORB.process(ORB.java:402)
	at com.ibm.CORBA.iiop.ORB.process(ORB.java:1685)
	at com.ibm.rmi.iiop.Connection.doWork(Connection.java:2173)
	at com.ibm.rmi.iiop.WorkUnitImpl.doWork(WorkUnitImpl.java:64)
	at com.ibm.ejs.oa.pool.PooledThread.run(ThreadPool.java:95)
	at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:672)
.
========================WebSphere log end
Regards
Johan Hoogenboezem
IZAZI Solutions (Pty) Limited | 57 6th Road | Hyde Park | Johannesburg |
South Africa
tel: + 27 11 788 0333 | mobile: +27 83 296 2360 | fax: + 27 11 788 2630
e-mail: johanh@izazi.com | web: www.izazi.com 
DISCLAIMER This message is intended for the addressee only, as it contains
information that is privileged, private and confidential. If you are not the
intended recipient of this message, you are notified that any distribution,
use or copying of this communication is strictly prohibited. If you have
received this communication in error, please notify the sender immediately



Mime
View raw message